/*  Auteur: Simon Pauw
 *  Project: Arduinocursus ZB45
 *  Datum: April 2016
 *  Programma: PWM
 *  Beschrijving: Laad een LED (schijnbaar) op 20% vermogen branden
 */

// Variable declaratie
int sensorInput;
float voltage;

// Setup: Dit wordt 1 keer uitgevoerd, direct na het starten van de Arduino.
void setup() {
  // Begin seriele verbinding:
  Serial.begin(9600);

  // Stel A0 in als input.
  pinMode(A0, INPUT);

  // Stel pin 3 en 5 in als output
  pinMode(3, OUTPUT);
  pinMode(5, OUTPUT);
}

// Loop: Deze code wordt eindeloos herhaald.
void loop() {
  // Lees de waarde van de sensor
  sensorInput = analogRead(A0);
  
  // Stuur bericht over de USB-verbinding
  Serial.print("Sensorinput = ");
  Serial.println(sensorInput);

  //als de sensorInput > 1200, beide LED's aan
  //tussen 600 en 1200, een LED aan
  //als < 600, beide LED's uit
  if(sensorInput > 300) {
    digitalWrite(3, HIGH);
    digitalWrite(5, HIGH);
  } 
  else if (sensorInput > 150) {
    digitalWrite(3, HIGH);
    digitalWrite(5, LOW);
  }
  else {
    digitalWrite(3, LOW);
    digitalWrite(5, LOW);
  }

  // Wacht 1 seconde
  delay(200);
}
